﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Default.Master" AutoEventWireup="true" CodeBehind="Registration.aspx.cs" Inherits="WebApplication.Registration" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <table class="table table-bordered">
        <caption>
            <h3>Please complete ALL of the following items. Do not omit any answers as each question is required for a successful registration. Incomplete registrations will not be accepted.</h3>
        </caption>
        <tbody>
            <tr>
                <td colspan="2">
                    <div id="Message" runat="server"></div>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <h2>User Details</h2>
                </td>
            </tr>
            <tr>
                <th colspan="2">Please enter your full name - First and Last names - as you wish it to appear on a name badge and certificate.</th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtFirstName" runat="server" placeholder="First Name" CssClass="required" />
                    <asp:TextBox ID="TxtLastName" runat="server" placeholder="Last Name" />
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdFirstName" runat="server" Display="Dynamic" ErrorMessage="First Name is required" ControlToValidate="TxtFirstName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="RqdLastName" runat="server" Display="Dynamic" ErrorMessage="Last Name is required" ControlToValidate="TxtLastName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">Please provide your personal school email address. An .edu address, not a general ISP address, is required.</th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtEmailAddress" runat="server" placeholder="Email Address" Width="250" /></td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdEmailAddress" runat="server" Display="Dynamic" ErrorMessage="Email is required" ControlToValidate="TxtEmailAddress" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                    <br />
                    <asp:RegularExpressionValidator ID="RegEmailAddress" runat="server" ControlToValidate="TxtEmailAddress" Display="Dynamic" ErrorMessage="Not a valid Email Address" SetFocusOnError="True" ValidationExpression="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.+-]+\.edu$" ForeColor="Red"></asp:RegularExpressionValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">What is your daytime phone number (the best number at which to reach you)? </th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtPhoneNumber" runat="server" placeholder="Phone Number" /></td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdPhoneNumber" runat="server" Display="Dynamic" ErrorMessage="Phone Number is required" ControlToValidate="TxtPhoneNumber" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">What is your mailing address? (street address, city, state, zip) </th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtAddress" runat="server" placeholder="Address" Width="350" />
                    <asp:TextBox ID="TxtCity" runat="server" placeholder="City" />
                    <asp:TextBox ID="TxtState" runat="server" placeholder="State" />
                    <asp:TextBox ID="TxtZip" runat="server" placeholder="Zip" />
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdAddress" runat="server" Display="Dynamic" ErrorMessage="Address is required" ControlToValidate="TxtAddress" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="RqdCity" runat="server" Display="Dynamic" ErrorMessage="City is required" ControlToValidate="TxtCity" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="RqdState" runat="server" Display="Dynamic" ErrorMessage="State is required" ControlToValidate="TxtState" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="RqdZip" runat="server" Display="Dynamic" ErrorMessage="ZIP is required" ControlToValidate="TxtZip" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">What is your country of citizenship? </th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtCitizenship" runat="server" placeholder="Citizenship" Width="250" />
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdCitizenship" runat="server" Display="Dynamic" ErrorMessage="Citizenship is required" ControlToValidate="TxtCitizenship" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">What is the name of your college/university? </th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtUniversity" runat="server" placeholder="College/University" Width="350" /></td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdUniversity" runat="server" Display="Dynamic" ErrorMessage="College/University is required" ControlToValidate="TxtUniversity" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">I understand the pre-requisite skills and course work (as cited on the flyer and above) and I agree that I have the skill sets and experience required to participate in this Competition. If you are in agreement with this statement, please answer "Yes" in the space below. </th>
            </tr>
            <tr>
                <td>
                    <asp:CheckBox ID="ChkSkills" runat="server" Text="Yes" /></td>
                <td></td>
            </tr>

            <tr>
                <th colspan="2">I understand that in the course of this workshop and competitive challenge that I may be given access to or possession of software and/or hardware subject to US export controls. Under such controls, Juniper Networks may not without first obtaining an export license give such access to anyone who is a citizen of any of the following countries: Cuba, Iran, North Korea, Sudan, and Syria. I certify that I am not a citizen of any such country. I also commit not to re-export any software or hardware to which Juniper may give me access without export license issued by the U.S. Government or qualification under a license exception provided in the US Export Administration Regulations.
                <br />
                    <br />
                    By indicating "Yes" in the box below, I agree that I am in compliance with U.S. Government export regulations as stated above. 
                </th>
            </tr>
            <tr>
                <td>
                    <asp:CheckBox ID="ChkGovernmentExportRegulation" runat="server" Text="Yes" />
                </td>
                <td></td>
            </tr>

            <tr>
                <th colspan="2">I understand that Juniper Networks, Inc. will require me to sign an Image Release Form which, among other things, gives Juniper Networks the rights to use of my image in photos, videos, press releases and other media. I also understand that an official Image Release Form will be given to me prior to the beginning of the Competition for my signature, and I will be required to sign the form in order to participate. 
                <br />
                    <br />
                    Please acknowledge the above statement by entering "Yes" in the box below.
                </th>
            </tr>
            <tr>
                <td>
                    <asp:CheckBox ID="ChkImageRelease" runat="server" Text="Yes" />
                </td>
                <td></td>
            </tr>
            <tr>
                <td colspan="2">
                    <h2>Credit Card Details</h2>
                </td>
            </tr>
            <tr>
                <th colspan="2">Please enter the type and number of your credit card (ex: Visa, xxxx-xxxx-xxxx-xxxx) NOTE: This information will ONLY be used for the fully refundable $50 registration fee.</th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtCreditCardNumber" runat="server" placeholder="Credit Card Number" Width="250" />
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdCreditCardNumber" runat="server" Display="Dynamic" ErrorMessage="Please enter Credit Card Number" ControlToValidate="TxtCreditCardNumber" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">Please enter your name as it appears on your credit card. </th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtCreditCardName" runat="server" placeholder="Credit Card Name" Width="250" /></td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdCreditCardName" runat="server" Display="Dynamic" ErrorMessage="Please enter Name as it appears on Credit Card" ControlToValidate="TxtCreditCardName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">Please enter the CSV code on your credit card. </th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtCreditCardCSV" runat="server" placeholder="Credit Card CSV" /></td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdCreditCardCSV" runat="server" Display="Dynamic" ErrorMessage="Please enter CSV Number" ControlToValidate="TxtCreditCardCSV" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>

            <tr>
                <th colspan="2">Please enter the expiration date of your credit card (ex: month/year)</th>
            </tr>
            <tr>
                <td>
                    <asp:DropDownList ID="DdlCreditCardMonth" runat="server" />
                    <asp:DropDownList ID="DdlCreditCardYear" runat="server" />
                </td>
                <td></td>
            </tr>

            <tr>
                <td colspan="2">
                    <h2>Other Participate Details</h2>
                </td>
            </tr>

            <tr>
                <th colspan="2">You must be a member of a 3 person team to participate. Please enter the names of your other 2 team members (ex: First and Last, First and Last) </th>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtParticipate1FirstName" runat="server" placeholder="Participate First Name" Width="250" />
                    <asp:TextBox ID="TxtParticipate1LastName" runat="server" placeholder="Participate Last Name" Width="250" />
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdParticipateFirstName" runat="server" Display="Dynamic" ErrorMessage="Enter Participate 1 First Name" ControlToValidate="TxtParticipate1FirstName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="RqdParticipate1LastName" runat="server" Display="Dynamic" ErrorMessage="Enter Participate 1 Last Name" ControlToValidate="TxtParticipate1LastName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="TxtParticipate2FirstName" runat="server" placeholder="Participate First Name" Width="250" />
                    <asp:TextBox ID="TxtParticipate2LastName" runat="server" placeholder="Participate Last Name" Width="250" />
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="RqdParticipate2FirstName" runat="server" Display="Dynamic" ErrorMessage="Enter Participate 2 First Name" ControlToValidate="TxtParticipate2FirstName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="RqdParticipate2LastName" runat="server" Display="Dynamic" ErrorMessage="Enter Participate 2 Last Name" ControlToValidate="TxtParticipate2LastName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="BtnSubmit" runat="server" Text="Submit" CssClass="btn btn-primary btn-lg" OnClick="BtnSubmit_Click" />
                </td>
            </tr>
        </tbody>
    </table>
</asp:Content>
