﻿using System;
using System.Configuration;
using System.Data.SqlClient;
using System.Web.UI;
using System.Data;
using System.Net.Mail;
using System.IO;
using System.Net;

namespace WebApplication
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                BindData();
            }
        }

        void ClearFormData()
        {
            TxtAddress.Text = "";
            TxtBadge.Text = "";
            TxtCitizenship.Text = "";
            TxtCity.Text = "";
            TxtCreditCardCSV.Text = "";
            TxtCreditCardName.Text = "";
            TxtCreditCardNumber.Text = "";
            TxtEmailAddress.Text = "";
            TxtFirstName.Text = "";
            TxtLastName.Text = "";
            TxtParticipate1FirstName.Text = "";
            TxtParticipate1LastName.Text = "";
            TxtParticipate2FirstName.Text = "";
            TxtParticipate2LastName.Text = "";
            TxtPhoneNumber.Text = "";
            TxtState.Text = "";
            TxtUniversity.Text = "";
            TxtZip.Text = "";

            DdlCardType.ClearSelection();
            DdlCreditCardMonth.ClearSelection();
            DdlCreditCardYear.ClearSelection();

            ChkGovernmentExportRegulation.Checked = false;
            ChkImageRelease.Checked = false;
            ChkSkills.Checked = false;
        }

        void BindData()
        {
            for (int i = 1; i <= 12; i++)
            {
                DdlCreditCardMonth.Items.Add(i.ToString("00"));
            }

            for (int i = DateTime.Now.Year; i <= DateTime.Now.Year + 15; i++)
            {
                DdlCreditCardYear.Items.Add(i.ToString("00"));
            }
        }

        protected void BtnSubmit_Click(object sender, EventArgs e)
        {
            Model.UserDetails userDetail = new Model.UserDetails();

            userDetail.Badge = TxtBadge.Text.Trim();
            userDetail.FirstName = TxtFirstName.Text.Trim();
            userDetail.LastName = TxtLastName.Text.Trim();
            userDetail.PhoneNumber = TxtPhoneNumber.Text.Trim();
            userDetail.EmailAddress = TxtEmailAddress.Text.Trim();
            userDetail.Address = TxtAddress.Text.Trim();
            userDetail.City = TxtCity.Text.Trim();
            userDetail.State = TxtState.Text.Trim();
            userDetail.ZIP = TxtZip.Text.Trim();
            userDetail.CountryCitizenship = TxtCitizenship.Text.Trim();
            userDetail.CollegeUniversity = TxtUniversity.Text.Trim();
            userDetail.IsSkills = ChkSkills.Checked;

            userDetail.IsImageRelease = ChkImageRelease.Checked;
            userDetail.CreditCardType = DdlCardType.SelectedItem.Text;
            userDetail.CreditCardNumber = TxtCreditCardNumber.Text.Trim();
            userDetail.CreditCardName = TxtCreditCardName.Text.Trim();
            userDetail.CreditCardCSV = TxtCreditCardCSV.Text.Trim();
            userDetail.CreditCardExpMonth = DdlCreditCardMonth.SelectedItem.Value;
            userDetail.CreditCardExpYear = DdlCreditCardYear.SelectedItem.Value;
            userDetail.Participate1FirstName = TxtParticipate1FirstName.Text.Trim();
            userDetail.Participate1LastName = TxtParticipate1LastName.Text.Trim();
            userDetail.Participate2FirstName = TxtParticipate2FirstName.Text.Trim();
            userDetail.Participate2LastName = TxtParticipate2LastName.Text.Trim();

            this.SaveData(userDetail);
        }

        void SaveData(Model.UserDetails userDetail)
        {
            try
            {
                using (SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["DBConnectionString"].ConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("USP_UserDetails_Create", con))
                    {
                        if (con.State == ConnectionState.Closed)
                            con.Open();

                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@Badge", userDetail.Badge);
                        command.Parameters.AddWithValue("@FirstName", userDetail.FirstName);
                        command.Parameters.AddWithValue("@LastName", userDetail.LastName);
                        command.Parameters.AddWithValue("@PhoneNumber", userDetail.PhoneNumber);
                        command.Parameters.AddWithValue("@EmailAddress", userDetail.EmailAddress);
                        command.Parameters.AddWithValue("@Address", userDetail.Address);
                        command.Parameters.AddWithValue("@City", userDetail.City);
                        command.Parameters.AddWithValue("@State", userDetail.State);
                        command.Parameters.AddWithValue("@ZIP", userDetail.ZIP);
                        command.Parameters.AddWithValue("@CountryCitizenship", userDetail.CountryCitizenship);
                        command.Parameters.AddWithValue("@CollegeUniversity", userDetail.CollegeUniversity);
                        command.Parameters.AddWithValue("@IsSkills", userDetail.IsSkills);

                        command.Parameters.AddWithValue("@IsImageRelease", userDetail.IsImageRelease);
                        command.Parameters.AddWithValue("@CreditCardType", userDetail.CreditCardType);
                        command.Parameters.AddWithValue("@CreditCardNumber", userDetail.CreditCardNumber);
                        command.Parameters.AddWithValue("@CreditCardName", userDetail.CreditCardName);
                        command.Parameters.AddWithValue("@CreditCardCSV", userDetail.CreditCardCSV);
                        command.Parameters.AddWithValue("@CreditCardExpMonth", userDetail.CreditCardExpMonth);
                        command.Parameters.AddWithValue("@CreditCardExpYear", userDetail.CreditCardExpYear);
                        command.Parameters.AddWithValue("@Participate1FirstName", userDetail.Participate1FirstName);
                        command.Parameters.AddWithValue("@Participate1LastName", userDetail.Participate1LastName);
                        command.Parameters.AddWithValue("@Participate2FirstName", userDetail.Participate2FirstName);
                        command.Parameters.AddWithValue("@Participate2LastName", userDetail.Participate2LastName);

                        command.ExecuteNonQuery();

                        //Message.InnerHtml = "<span class='text-success'>Data saved successfully</span>";

                        this.ClearFormData();

                        Session["UserDetail"] = userDetail;

                        Response.Redirect("~/Welcome.aspx", false);
                    }
                }
            }
            catch (Exception ex)
            {
                Message.InnerHtml = "<span class='text-warning'>Error occured while saving the data.  See the error details : <br/>" + ex.Message + "</span>";
            }
        }
    }
}